
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>（模板）扩展kmp算法（luoguP5410） / 憋错料</title>

    <meta name="description" content="（模板）扩展kmp算法（luoguP5410） 题目链接:https://www.luogu.org/problem/P5410 题意:有两个字符串a,b,要求输出b与a的每一个后缀的最长公共前缀.输出: 第一行有lenb个数,为b的next数组(特别地,next1为lenb) 第二行有lena个数,即答案. 思路:扩展kmp模板,涉及字典树,后续再补,先放模板. AC code: #include&lt;bits/stdc++.h&gt; #define N 1000010 using namespace std; int q,nxt[N] ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">（模板）扩展kmp算法（luoguP5410）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题目链接：https://www.luogu.org/problem/P5410</p>
<p>题意：有两个字符串a,b,要求输出b与a的每一个后缀的最长公共前缀。输出：</p>
<p>第一行有lenb个数,为b的next数组(特别地,next1为lenb)</p>
<p>第二行有lena个数,即答案。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTExLzIwMTkxMTAzMTMwNzM0ODc5ODU0LnBuZw==.jpg" /></p>
<p>思路：扩展kmp模板，涉及字典树，后续再补，先放模板.</p>
<p>AC code：</p>
<pre>#include&lt;bits/stdc++.h&gt;

#define N 1000010 

using namespace std;

int q,nxt[N],extend[N];
string s,t;

void getnxt()
{
    nxt[0]=t.size();//nxt[0]一定是T的长度
    int now=0;
    while(t[now]==t[1+now]&amp;&amp;now+1&lt;(int)t.size())now++;//这就是从1开始暴力
    nxt[1]=now;
    int p0=1;
    for(int i=2;i&lt;(int)t.size();i++)
    {
        if(i+nxt[i-p0]&lt;nxt[p0]+p0)nxt[i]=nxt[i-p0];//第一种情况
        else
        {//第二种情况
            int now=nxt[p0]+p0-i;
            now=max(now,0);//这里是为了防止i&gt;p的情况
            while(t[now]==t[i+now]&amp;&amp;i+now&lt;(int)t.size())now++;//暴力
            nxt[i]=now;
            p0=i;//更新p0
        }
    }
}

void exkmp()
{
    getnxt();
    int now=0;
    while(s[now]==t[now]&amp;&amp;now&lt;min((int)s.size(),(int)t.size()))now++;//暴力
    extend[0]=now;
    int p0=0;
    for(int i=1;i&lt;(int)s.size();i++)
    {
        if(i+nxt[i-p0]&lt;extend[p0]+p0)extend[i]=nxt[i-p0];//第一种情况
        else
        {//第二种情况
            int now=extend[p0]+p0-i;
            now=max(now,0);//这里是为了防止i&gt;p的情况
            while(t[now]==s[i+now]&amp;&amp;now&lt;(int)t.size()&amp;&amp;now+i&lt;(int)s.size())now++;//暴力
            extend[i]=now;
            p0=i;//更新p0
        }
    }
}

int main()
{
    cin&gt;&gt;s&gt;&gt;t;
    exkmp();
    int len=t.size();
    for(int i=0;i&lt;len;i++)printf("%d ",nxt[i]);//输出nxt
    puts("");
    len=s.size();
    for(int i=0;i&lt;len;i++)printf("%d ",extend[i]);//输出extend
    return 0;
}</pre>

<p>原文地址：https://www.cnblogs.com/FrankChen831X/p/11785539.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 20:08:21 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/org/" title="org">org</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/%e9%95%bf%e5%ba%a6/" title="长度">长度</a>, <a href="https://www.biecuoliao.com/tag/mes/" title="mes">mes</a>, <a href="https://www.biecuoliao.com/tag/base/" title="base">base</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.biecuoliao.com/tag/hit/" title="hit">hit</a>, <a href="https://www.biecuoliao.com/tag/xtend/" title="xtend">xtend</a>, <a href="https://www.biecuoliao.com/tag/ali/" title="ali">ali</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>（模板）扩展kmp算法（luoguP5410）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEPeqg4.html" rel="bookmark">扩展KMP算法小记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考来自&lt;拓展kmp算法总结&gt;:http://blog.csdn.net/dyx404514/article/details/41831947 扩展KMP解决的问题: 定义母串S和子串T,S的长度为n,T的长度为m: 求  字符串T  与  字符串S的每一个后缀  的最长公共前缀: 也就是说,设有extend数组:extend[i]表示T与S[i,n-1]的最长公共前缀,要求出所有extend[i](0&lt;=i&lt;n). (注意到,如果存在若干个extend[i]=m,则表示T在S中完			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rpqKaM.html" rel="bookmark">【模板】KMP算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				KMP算法用于字符串匹配 1 /*KMP*/ 2 #include&lt;stdio.h&gt; 3 #include&lt;string.h&gt; 4 char s1[1000005],s2[1005];//s1 为待匹配串,s2为模板串 5 int nxt[1005],n,m; 6 int main() 7 { 8 scanf(&quot;%s%s&quot;,s1+1,s2+1); 9 n = strlen(s1+1); m = strlen(s2+1); 10 nxt[1] = 0; int i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/gMWV6G4.html" rel="bookmark">扩展KMP算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				扩展KMP,用于求s的后缀的最长前缀.用extand数组表示第i个后缀的最长前缀的字符个数. 注意几点:1.next数组是对T的   2.extand数组是对S的 3.应用:回文,重复串等 代码如下: 1 #include&lt;iostream&gt; 2 #include&lt;string&gt; 3 #include&lt;cstdio&gt; 4 using namespace std; 5 const int MM=100005; //长度最大值 6 int next[MM],extand[M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bndg90.html" rel="bookmark">数据结构--KMP算法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据结构—KMP KMP算法用于解决两个字符串匹配的问题,但更多的时候用到的是next数组的含义,用到next数组的时候,大多是题目跟前后缀有关的 . 首先介绍KMP算法:(假定next数组已经学会,后边next数组会在介绍) 上图T为主链,P为模板链,要求P在T中是否出现,出现就返回位置. 朴素算法会顺序遍历,比较第一次的时候p[0]处失配,然后向后移动继续匹配.数据量大的时候这么做肯定是不可行的.所以这里就会有KMP算法!在一次失配之后,KMP算法认为这里已经失配了,就不能在比较一遍了,而是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JxwKB0.html" rel="bookmark">拓展KMP算法 入门&plus;模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				拓展KMP算法入门 博客推荐 扩展KMP算法, 图很形象,代码写的也很清晰,下面的模板就是出自该博客文章. 拓展KMP是求母串S长度为n和子串T长度为m,求S的每一个后缀子串与T的前缀子串匹配的最长长度. 代码实现 //求解模式串T的next数组,这个函数和下面的函数几乎相同 void getnext(string &amp;T, int m, int[] next) { int a = 0, p = 0; next[0] = m; //T字符串自身和自身匹配 for(int i=1; i&lt;m; i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgLmxL0.html" rel="bookmark">浅谈Manacher算法与扩展KMP之间的联系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,在谈到Manacher算法之前,我们先来看一个小问题:给定一个字符串S,求该字符串的最长回文子串的长度.对于该问题的求解,网上解法颇多,时间复杂度也不尽相同,这里列述几种常见的解法. 解法一 通过枚举S的子串,然后判断该子串是否为回文,由于S的子串个数大约为,加上每次判断需要的时间,所以总的时间复杂度为,空间复杂度为. bool check(string &amp;S, int left, int right) { while (left &lt; right &amp;&amp; S[left]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZKRJJ4.html" rel="bookmark">扩展KMP，附上例题&lpar;HDU - 4333 Revolving Digits&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				给出模板串S和串T,长度分别为Slen和Tlen,在线性时间内,对于每个S[i](0&lt;=i&lt;Slen),求出S[i..Slen-1]与T的 最长公共前缀长度,记为extend[i],extend[i]存放s[i]开始与T的最长公共前缀长度. 例子 a a a a a a a b b b a a a a a c extend 5 4 3 2 1 0 0 0 0 0 HDU - 4333 Revolving Digits Time Limit: 3000/1000 MS (Java/Others)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x6gdB4.html" rel="bookmark">KMP、扩展KMP、MANACHER</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.KMP 作用:用于在一个文本串S内查找一个模式串P出现的位置 string str = &quot;bacbababadababacambabacaddababacasdsd&quot;; string ptr = &quot;ababaca&quot;; 如上图,可得在第10与26处包含ptr数组: 暴力做法:暴力for,碰到不一样的直接返回,从后一个开始继续for,最差能到O(n * m) KMP 做法: 主要的思路是跳,比如你一开始从上面例子里的bacbababadababacambabacad			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgkbnM.html" rel="bookmark">拓展kmp算法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法总结第二弹,上次总结了下kmp,这次就来拓展kmp吧. 拓展kmp是对KMP算法的扩展,它解决如下问题: 定义母串S,和字串T,设S的长度为n,T的长度为m,求T与S的每一个后缀的最长公共前缀,也就是说,设extend数组,extend[i]表示T与S[i,n-1]的最长公共前缀,要求出所有extend[i](0&lt;=i&lt;n). 注意到,如果有一个位置extend[i]=m,则表示T在S中出现,而且是在位置i出现,这就是标准的KMP问题,所以说拓展kmp是对KMP算法的扩展,所以一般将它称为			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QARQ4.html" rel="bookmark" class="title">屏幕适配</a>
					<div>
						如果给你设计的是2倍的图,你需要把它放到xhdpi目录下,然后他设计的是px,你需要的是dp,例如一个图片他设计的是:120px*120px,你对应的ImageView的width和hight就是1/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Kp5w3.html" rel="bookmark" class="title">cocoa pods</a>
					<div>
						cocoa pods CocoaPods 是 iOS 最常用最有名的类库管理工具 作为 iOS 程序员,掌握 CocoaPods 的使用是必不可少的基本技能 pod 命令汇总 # 创建默认的 Podf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMm5pQM.html" rel="bookmark" class="title">Java中的浅层复制和深层复制</a>
					<div>
						浅层复制代码: 1 import java.util.*; 2 3 class Int{ 4 private int i; 5 public Int(int ii){i = ii;} 6 public ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5Z5w0.html" rel="bookmark" class="title">IE对象最后一个属性后不要加逗号，否则在IE7及以下版本中会报错</a>
					<div>
						某函数返回一个对象,如果在最后一个属性后加逗号,IE7及以下版本中会报错 正确代码: return{ top:rect.top-top, bottom:rect.bottom-top, left:re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmJkj4.html" rel="bookmark" class="title">Java程序员面试题集（1-50）</a>
					<div>
						下面的内容是对网上原有的Java面试题集及答案进行了全面修订之后给出的负责任的题目和答案,原来的题目中有很多重复题目和无价值的题目,还有不少的参考答案也是错误的,修改后的Java面试题集参照了JDK最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDJdAM.html" rel="bookmark" class="title">WannaCry勒索病毒的防范和处理指引--致终端用户版</a>
					<div>
						关于WannaCry勒索病毒的防范和处理指引 注意! WannaCry勒索病毒仅影响Windows操作系统:如果您使用的是苹果Mac OS操作系统,但是有使用 WINDOWS虚拟机的话,也要进行下述操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz85Rl3.html" rel="bookmark" class="title">CentOS-6&period;5安装配置Tomcat-7</a>
					<div>
						https://my.oschina.net/u/593517/blog/304483 http://blog.csdn.net/lgh0824/article/details/51194116 摘要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxP5g0.html" rel="bookmark" class="title">Coursera公开课-Machine&lowbar;learing：编程作业8（2016-10-06 20&colon;49）</a>
					<div>
						Anomaly Detection and Recommender Systems 本周编程作业分为两部分:异常检测和推荐系统. 异常检测:本质就是使用样本的到特种值的gaussian分布,来预估正确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBABAE4.html" rel="bookmark" class="title">python模块的导入以及模块简介</a>
					<div>
						一.模块的定义及类型 1.定义 模块就是用一堆的代码实现了一些功能的代码的集合,通常一个或者多个函数写在一个.py文件里,而如果有些功能实现起来很复杂,那么就需要创建n个.py文件,这n个.py文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AdjNb3.html" rel="bookmark" class="title">利用OSSIM收集分析远程apache日志（视频教程）</a>
					<div>
						环境: OSSIM Server : 192.168.11.228 日志搜集器 Http Server   : 192.168.11.15     日志发生器 通过设置192.168.11.15机器上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8adBM.html" rel="bookmark" class="title">UML期末复习题&mdash;&mdash;2&period;9：UML Deployment Diagram</a>
					<div>
						附加题:部署图 重要概念: 1. 部署图表示的是,如何将具体的软件制品(例如可执行文件)分配到计算节点(具有处理服务的某种事物)上.部署图表示了软件元素在物理架构上的部署,以及物理元素之间的通信(通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYb9Y3.html" rel="bookmark" class="title">WordPress版微信小程序2&period;1&period;5版发布</a>
					<div>
						WordPress版微信小程序功能已经基本完善,利用这套程序,搭配WordPress提供的rest api,WordPress网站的站长可以快速搭建属于自己的网站微信小程序 . WordPress版微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A68raM.html" rel="bookmark" class="title">级数求和 C&num; lanmda写法</a>
					<div>
						#pragma once #include &quot;stdafx.h&quot; #define MAXK 1e7 //class AlgoMath { //public: // AlgoMath ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1ZYv0.html" rel="bookmark" class="title">（转）Java锁、自旋锁、CAS机制</a>
					<div>
						转自:http://www.jb51.net/article/55381.htm 转自:http://blog.csdn.net/aesop_wubo/article/details/7537278  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pP7wP4.html" rel="bookmark" class="title">C&plus;&plus;控制台贪吃蛇代码</a>
					<div>
						游戏截图: 以下是3个代码文件: Snake_Class.h文件: 1 #ifndef SNAKE 2 #define SNAKE 3 4 #include&lt;windows.h&gt; 5 #i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpQWw4.html" rel="bookmark" class="title">Oracle 导出远程库dmp文件--&amp;gt&semi;导入到本地oracle数据库中，实现远程数据库的复制和移植&period;</a>
					<div>
						大家是否有这样的烦恼,想将公司项目变成自己的项目资源库.但是项目完全复制下来到自己机器上运行,发现无法访问远程数据库的错误,为了解决这一困扰,作者尝试了将远程数据库导入到本地数据库的操作,遇到了不小的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaXVL3.html" rel="bookmark" class="title">初探NO&period;3&mdash;从头到尾聊聊贝叶斯的分类方法</a>
					<div>
						宅在家无聊之余决定看着&lt;概率论和数理统计&gt;&amp;&lt;统计学习方法&gt;总结一下朴素贝叶斯和贝叶斯估计. 正好这一块我最近温习了一下,我从一开始条件概率开始写,把我所理解的贝叶斯分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyojYA3.html" rel="bookmark" class="title">php中限制ip段访问、禁止ip提交表单的代码</a>
					<div>
						在需要禁止访问或提交表单的页面添加下面的代码进行判断就可以了. 注意:下边只是一个PHP限制IP的实例代码,如果您打算应用到CMS中,请自行修改. &lt;?php /加IP访问限制 if(geten ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jrzkV0.html" rel="bookmark" class="title">canvas绘图详解-03-绚丽的倒计时效果</a>
					<div>
						制作一个上面这种倒计时效果,只截图了三秒 此效果源码github连接:https://github.com/wufangfang0614/fanggit/tree/master/canvas/%E5% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmBlg3.html" rel="bookmark" class="title">北京培训总结</a>
					<div>
						1.桌面提醒用WebPart2.某列变色采用html语言,用select语句来实现 &lt;span color=red&gt;ZT(状态)&lt;/span&gt;3.PU基础信息中from后面可以 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
